Subject: Erratum for RFC 2426

From: "Javier Godoy" <[email-masked]>
Date: Sun, 25 Mar 2007 14:17:22 -0300

RFC-editors, 

This mail contains a list of erratum for urn:ietf:rfc:2426
(The errata I report on March 18, 2007 is included, because it has not been processed yet and it is located near another that is described here.)

Sincerly 

Roberto Javier Godoy

--------------------------------
Section 4 (p. 29) says:

   ;For name="SOURCE"
   param        = source-param
        ; No parameters allowed

   value        = uri

   source-param = ("VALUE" "=" "uri")
                / ("CONTEXT" "=" "word")
        ; Parameter value specifies the protocol context
        ; for the uri value.
                / (x-name "=" *SAFE-CHAR)

It should say:

   ;For name="SOURCE"
   param        = source-param
        ; Only source parameters allowed

   value        = uri

   source-param = ("VALUE" "=" "uri")
                / ("CONTEXT" "=" "word")
        ; Parameter value specifies the protocol context
        ; for the uri value.
                / (x-name "=" *SAFE-CHAR)

--------------------------------

Section 4 (p. 32) says

 ;For name="AGENT"
   param        = agent-inline-param

   param        =/ agent-refer-param

   value        = agent-inline-value
        ; Value and parameter MUST match

   value        =/ agent-refer-value
        ; Value and parameter MUST match

   agent-inline-param = ""
        ; No parameters allowed

   agent-refer-param = "VALUE" "=" "uri"
        ; Only value parameter allowed

   agent-inline-value = text-value
        ; Value MUST be a valid vCard object

   agent-refer-value = uri
        ; URI MUST refer to image content of given type

It should say:

 ;For name="AGENT"
   param        = agent-inline-param

   param        =/ agent-refer-param

   param        =/ text-param

   value        = agent-inline-value
        ; Value and parameter MUST match

   value        =/ agent-refer-value
        ; Value and parameter MUST match

   value        =/ text-value
        ; Value and parameter MUST match

   agent-inline-param = ""
        ; No parameters allowed

   agent-refer-param = "VALUE" "=" "uri"
        ; Only value parameter allowed

   agent-inline-value = text-value
        ; Value MUST be a valid vCard object

   agent-refer-value = uri
        ; URI MUST refer a valid vCard object

Rationales: 
1 (text-param, text-value)
 - "Type value: The default is a single vcard value. It can also be reset to either a single text or uri value." (Section 3.5.4)
 - The "single text" part was forgotten in the ABNF.
2 (URI MUST refer a valid vCard object)
- Presumably, the comment from img-refer-value was copied, but it was not modified.
- The correction is consistent with comment for agent-inline-value.
- The purpose of AGENT type is "To specify information about another person who will act on behalf of the individual or resource associated with the vCard." (Section 3.5.4)

--------------------------------

Section 4 (p. 34) says:

 ;For name="UID"
   param        = ""
        ; No parameters allowed

   value        = text-value

It should say

 ;For name="UID"
   param        = "TYPE" "=" (iana-token / x-name)
        ; No parameters allowed

   value        = text-value

Rationale: Section 3.6.7 (p. 23) "UID Type Definition" says 

<<The type can include the type parameter "TYPE" to specify the format
   of the identifier. The TYPE parameter value should be an IANA
   registered identifier format. The value can also be a non-standard
   format.>>

--------------------------------

Section 4 (p. 35) says:

   adr-type     = "dom" / "intl" / "postal" / "parcel" / "home"
                / "work" / "pref" / iana-type / x-name

It should say

   adr-type     = "dom" / "intl" / "postal" / "parcel" / "home"
                / "work" / "pref" / iana-token / x-name

Rationale: 
   iana-type is not defined in given ABNF, but iana-token is. This is the only reference to iana-type in the document, so it is likely to be a typo.

   iana-token   = 1*(ALPHA / DIGIT / "-")
        ; vCard type or parameter identifier registered with IANA

--------------------------------

Section 7 (p. 38) says:

   BEGIN:vCard
   VERSION:3.0
   FN:Frank Dawson
   ORG:Lotus Development Corporation
   ADR;TYPE=WORK,POSTAL,PARCEL:;;6544 Battleford Drive
    ;Raleigh;NC;27613-3502;U.S.A.
   TEL;TYPE=VOICE,MSG,WORK:+1-919-676-9515
   TEL;TYPE=FAX,WORK:+1-919-676-9564
   EMAIL;TYPE=INTERNET,PREF:[email-masked]
   EMAIL;TYPE=INTERNET:[email-masked]
   URL:http://home.earthlink.net/~fdawson
   END:vCard

   BEGIN:vCard
   VERSION:3.0
   FN:Tim Howes
   ORG:Netscape Communications Corp.
   ADR;TYPE=WORK:;;501 E. Middlefield Rd.;Mountain View;
    CA; 94043;U.S.A.
   TEL;TYPE=VOICE,MSG,WORK:+1-415-937-3419
   TEL;TYPE=FAX,WORK:+1-415-528-4164
   EMAIL;TYPE=INTERNET:[email-masked]
   END:vCard

It should say

   BEGIN:vCard
   VERSION:3.0
   FN:Frank Dawson
   N:Dawson; Frank
   ORG:Lotus Development Corporation
   ADR;TYPE=WORK,POSTAL,PARCEL:;;6544 Battleford Drive
    ;Raleigh;NC;27613-3502;U.S.A.
   TEL;TYPE=VOICE,MSG,WORK:+1-919-676-9515
   TEL;TYPE=FAX,WORK:+1-919-676-9564
   EMAIL;TYPE=INTERNET,PREF:[email-masked]
   EMAIL;TYPE=INTERNET:[email-masked]
   URL:http://home.earthlink.net/~fdawson
   END:vCard

   BEGIN:vCard
   VERSION:3.0
   FN:Tim Howes
   N:Howes; Tim
   ORG:Netscape Communications Corp.
   ADR;TYPE=WORK:;;501 E. Middlefield Rd.;Mountain View;
    CA; 94043;U.S.A.
   TEL;TYPE=VOICE,MSG,WORK:+1-415-937-3419
   TEL;TYPE=FAX,WORK:+1-415-528-4164
   EMAIL;TYPE=INTERNET:[email-masked]
   END:vCard

Rationale:
 -   "Profile special notes: The vCard object MUST contain the FN, N and VERSION types." (Section 1) N was missing in the original information.

----- Original Message ----- 
From: Javier Godoy 
To: [email-masked] 
Sent: Sunday, March 18, 2007 3:12 AM
Subject: Errata for RFC 2426